package tests;

import java.awt.Color;
import java.awt.Paint;

import fr.lri.swingstates.canvas.CRectangle;

/*
 * Icne
 */
public class Icon extends CRectangle{
	private static final Paint DEFAULT_FILL_PAINT = new Color(200, 230, 200);
	private static final Paint SELECTED_FILL_PAINT = new Color(220, 200, 180);
	
	private static final Paint DEFAULT_OUTLINE_PAINT = new Color(160, 200, 160);
	private static final Paint SELECTED_OUTLINE_PAINT = new Color(200, 180, 160);
	Window parent;
	
	public Icon(double x, double y, int w, int h){
		super(x, y, w, h);
		setFillPaint(DEFAULT_FILL_PAINT);
		setOutlinePaint(DEFAULT_OUTLINE_PAINT);
	}
	
	public Icon(Window win, double x, double y, int w, int h){
		this(x, y, w, h);
		
		parent = win;
		win.addChild(this);
	}
	
	public void setSelected(boolean selected){
		if(selected){
			setFillPaint(SELECTED_FILL_PAINT);
			setOutlinePaint(SELECTED_OUTLINE_PAINT);
		}
		else{
			setFillPaint(DEFAULT_FILL_PAINT);
			setOutlinePaint(DEFAULT_OUTLINE_PAINT);
		}		
	}
	
	public void setParentWindow(Window win){
		if(parent == win) return;
		
		if(parent != null) parent.removeChild(this);
		if(win != null) win.addChild(this);
			
		parent = win;
	}
	
	public Window getParentWindow(){
		return parent;
	}
}
