package tests;

import java.awt.Color;
import java.awt.Paint;

import fr.lri.swingstates.canvas.CShape;
import fr.lri.swingstates.canvas.Canvas;

/*
 * Fentre
 */
public class Window extends CShape{

	private static final Paint ACTIVE_PAINT = new Color(200, 200, 180);
	private static final Paint INACTIVE_PAINT = Color.gray;

	private int HANDLE_HEIGHT = 20; 
	
	private WindowBar bar;
	private WindowBody body;
	
	public Window(Canvas canvas, int x, int y, int w, int h){

		bar = new WindowBar(this, x, y, w, HANDLE_HEIGHT);
		canvas.addShape(bar);
		addChild(bar);	
		
		body = new WindowBody(this, x, y + HANDLE_HEIGHT, w, h); 
		
		canvas.addShape(body);
		addChild(body);		
		setActive(false);
	}
		
	public void setActive(boolean active){
		if(active) {			
			bar.setFillPaint(ACTIVE_PAINT);
			
			for(CShape shape: getChildren())
				shape.aboveAll();
			
		}
		else bar.setFillPaint(INACTIVE_PAINT);
		
	}
	
}
